VetCAD

Набор программ от CADALYST.com

    1 оценка

gomer

размещено: 20 Октября 2008
обновлено: 23 Августа 2010
Взято с http://www.cadalyst.narod.ru/

Для инженеров и программистов.

Частично руссифицирован и изменен.
Ведется адаптация для Bricscad 10 (пока с переменным успехом). Под AutoCAD должен работать без проблем.
Примечание: Часть программ может пока не работать в Bricscad и русских версиях AutoCAD.
Для установки пропишите путь к папке в каде и загрузите _CDL_SETUP.lsp

Примечание: Знание английского и других языков пока обязательно :(

Текущая версия: 0.1.04 alpha 6

Комментарии

Комментарии могут оставлять только зарегистрированные участники
Авторизоваться
Комментарии 1-8 из 8
Tornado , 21 октября 2008 в 15:05
#1
А как всё это установить????
voltron , 21 октября 2008 в 20:17
#2
Tornado набери в коммандной строк menuload и подгрузи файл _cadalyst.mnu из распакованного архива.
voltron , 21 октября 2008 в 20:36
#3
Спасибо за работу кто, не поленился собрать в набор "массу идиотских круглых скобок"
Кулик Алексей aka kpblc , 30 мая 2010 в 13:46
#4
Автору: хоть бы какой readme сделал, что ли - ведь хрен поймешь, надо что-то или нет, пока внутрь лиспа не залезешь.
P.S. И за ЭТО на cadalyst выдают награды? Кошмар...
gomer , 06 июня 2010 в 12:32
#5
Алексей, вы правы, но сейчас моя задача максимально сжать код, сделать перевод, исправить ляпы... Справку буду дополнять... по мере русификации...
Многие программы старые (1992-2008) так что не обессудьте...
Все коды открыты, если кто найдет для себя что полезное, и то хорошо...
зы. У каждого свои тараканы в голове, но от помощи или криики не откажусь... буду благодарен...
Кулик Алексей aka kpblc , 09 июня 2010 в 00:57
#6
Вместо vdiv.lsp, как пример (хотя зачем этот код, я как-то не усек):
[code](vl-load-com)

(defun c:vdiv (/ adoc pt1 pt2 range step base ang)
(vla-startundomark (setq adoc (vla-get-activedocument (vlax-get-acad-object))))
(if (and (= (type (setq pt1 (vl-catch-all-apply
(function
(lambda ()
(getpoint "nПервая точка <Отмена> : ")
) ;_ end of lambda
) ;_ end of function
) ;_ end of vl-catch-all-apply
) ;_ end of setq
) ;_ end of type
'list
) ;_ end of =
(= (type (setq pt2 (vl-catch-all-apply
(function
(lambda ()
(getpoint pt1 "nВторая точка <Отмена> : ")
) ;_ end of lambda
) ;_ end of function
) ;_ end of vl-catch-all-apply
) ;_ end of setq
) ;_ end of type
'list
) ;_ end of =
(= (type (setq range (vl-catch-all-apply
(function
(lambda ()
(getint "nКоличество сегментов <Отмена> : ")
) ;_ end of lambda
) ;_ end of function
) ;_ end of vl-catch-all-apply
) ;_ end of setq
) ;_ end of type
'int
) ;_ end of =
) ;_ end of and
(progn
(setq step (/ (distance pt1 pt2) range)
base pt1
ang (angle pt1 pt2)
) ;_ end of setq
(repeat range
(entmakex (list (cons 0 "POINT")
(cons 10 (setq base (polar base ang step)))
) ;_ end of list
) ;_ end of entmakex
) ;_ end of repeat
) ;_ end of progn
) ;_ end of if
(vla-endundomark adoc)
) ;_ end of defun[/code]

Написано примерно минут за 5.
Кулик Алексей aka kpblc , 09 июня 2010 в 00:59
#7
P.S. Код, который я наваял, гарантированно работает тлько в мировой системе координат. На ПСК не проверял.
gomer , 12 июня 2010 в 13:34
#8
Алексей, Я пытался создать тему для обсуждения, но теперь не могу найти ее!
В вашей версии vdiv отсутствует настройка отображения точек;)
Но меня больше интересует команда ali из ALIGNIT.LSP Не хочет она работать в bricscad во второй раз((( видимо очистка наборов не происходит... В акад нормально все
zip

1.42 МБ